﻿.landing-page .main.line-top::before {
    display: none;
}

.landing-page .main-inner {
    max-width: 1960px;
    padding-left: 0;
    padding-right: 0;
    padding-bottom: 0;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
}

body {
    background: #f5f6fa;
    color: #1a1a1a;
}


    body.landing-page .main.line-top::before {
        display: none;
    }

.container {
    max-width: 1600px;
    width: 100%;
    padding: 0 20px;
    margin: 0 auto;
}

/* HERO */

.hero {
    padding: 80px 0;
    background: #eef1f7;
}

.hero-inner {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 0 70px;
}

.hero-text h1 {
    font-family: 'PloniMLv2AAA-Bold', sans-serif;
    font-weight: 700;
    font-size: 55px;
    line-height: 55px;
    letter-spacing: 1px;
    text-align: right;
    color: #160861;
}

.hero-text span {
    color: #ff6b3d;
}

.hero-text p {
    font-family: 'PloniMLv2AAA-Regular', sans-serif;
    font-weight: 400;
    font-size: 25px;
    line-height: 26px;
    text-align: right;
    margin-top: 10px;
    color: #160861;
}

.hero-image {
    position: relative;
}

.hero-image-box {
    width: clamp(420px, 42vw, 736px);
    aspect-ratio: 736 / 398;
    border-radius: 81px;
    border: 5px solid #fff;
    background: linear-gradient( 110.46deg, rgba(165, 158, 235, 0.5) -2.05%, rgba(223, 221, 248, 0.5) 48.04%, rgba(160, 152, 234, 0.5) 85.49% );
    display: flex;
    align-items: center;
    justify-content: center;
}

    .hero-image-box img {
        width: 54%;
    }


.features {
    background: #2E1E6F;
    color: white;
    padding: 60px 90px;
}

.features-head {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 40px;
    margin-bottom: 40px;
}

.features-title-right {
    text-align: right;
    font-family: 'PloniMLv2AAA-Medium', sans-serif;
    font-weight: 500;
    font-size: 30px;
    line-height: 36px;
    letter-spacing: 1px;
    flex-shrink: 0;
    max-width: 350px;
}

.features-title-left {
    text-align: right;
    font-family: 'PloniMLv2AAA-Medium', sans-serif;
    font-weight: 500;
    font-size: 21px;
    line-height: 25px;
    letter-spacing: 1px;
    max-width: 700px;
}

.cards {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}

.card {
    background: linear-gradient(135deg, rgba(160, 152, 234, 0.6) 0%, rgba(118, 103, 174, 0.7) 100%);
    border: 2px solid rgba(255, 255, 255, 0.4);
    border-radius: 30px;
    padding: 44px 52px 24px 52px;
    text-align: right;
    display: flex;
    flex-direction: column;
}

    .card h3 {
        font-family: 'PloniMLv2AAA-D-Bold', sans-serif;
        font-weight: 600;
        font-size: 22px;
        line-height: 27px;
        letter-spacing: 1px;
        margin-bottom: 16px;
        color: #FFFFFF;
    }

    .card p {
        font-family: 'PloniMLv2AAA-Regular', sans-serif;
        font-weight: 400;
        font-size: 17px;
        line-height: 23px;
        letter-spacing: 0.5px;
        color: rgba(255, 255, 255, 0.95);
    }

/* INTEGRATION */

.integration {
    padding: 80px 90px;
    background: linear-gradient(to bottom right, #DDE9FF 0%, #FFFFFF 100%);
}

.integration-inner {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}


.integration-text {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    max-width: 860px;
}

    .integration-text h3 {
        font-family: 'PloniMLv2AAA-Bold', sans-serif;
        font-weight: 700;
        font-size: 37px;
        line-height: 38px;
        letter-spacing: 1px;
        text-align: right;
        color: #2E1E6F;
        padding: 12px 16px;
        border-radius: 12px;
        display: inline-block;
    }

    .integration-text p {
        font-family: 'PloniMLv2AAA-Regular', sans-serif;
        font-weight: 400;
        font-size: 20px;
        line-height: 17px;
        letter-spacing: 0;
        text-align: right;
        color: #160861;
        padding: 12px 16px;
        border-radius: 12px;
        margin-top: 12px;
        display: inline-block;
    }

.integration-image {
    position: relative;
    width: 550px;
    height: 380px;
    flex-shrink: 0;
}

/* Light background */
.integration-bg {
    position: absolute;
    width: 446px;
    height: 326px;
    border-radius: 51px;
    border: 5px solid #fff;
    background: #E7EDFD;
    top: 43px;
    left: 66px;
}

/* Violet card */
.integration-card {
    position: absolute;
    width: 404px;
    height: 333px;
    border-radius: 51px;
    background: #B3AAFF;
    top: 0;
    left: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.integration-card__img {
    width: 320px;
    height: 320px;
}

.integration-cloud {
    position: absolute;
    width: 184px;
    height: 126px;
    top: 103px;
    left: 340px;
}

/* CTA */

.cta {
    text-align: center;
    padding: 80px 0;
    background: #D1D0FF;
}

.cta-inner > img {
    width: 453px;
    height: 352px;
}

    .cta h3 {
        font-family: 'PloniMLv2AAA-Bold', sans-serif;
        font-weight: 700;
        font-size: 37px;
        line-height: 45px;
        letter-spacing: 1px;
        text-align: center;
        max-width: 711px;
        margin: 42px auto 42px;
    }

.cta-button {
    min-width: 300px;
    height: 60px;
    padding: 0 20px 0 60px;
    border-radius: 100px;
    background: linear-gradient(270deg, #F1481F 0%, #FA895F 100%);
    border: 3px solid #FFFFFF;
    box-shadow: 0 6px 25px rgba(242, 79, 38, 0.35);
    display: inline-flex;
    align-items: center;
    position: relative;
    justify-content: center;
    gap: 10px;
    cursor: pointer;
    margin: 0 auto;
    text-decoration: none;
    white-space: nowrap;
    transition: all 0.3s ease;
}

    .cta-button[disabled] {
        opacity: 0.7;
        pointer-events: none;
    }


.cta-button-icon {
    width: 28px;
    height: 30px;
    display: block;
    position: absolute;
    left: 16px;
    top: 50%;
    transform: translateY(-50%);
}

.cta-button-text {
    font-family: 'PloniMLv2AAA-Bold', sans-serif;
    font-weight: 600;
    font-size: 20px;
    color: #fff;
}

@media (max-width: 1600px) {
    .features {
        padding: 60px 20px;
    }
}

@media (max-width: 1300px) {
    .cards {
        grid-template-columns: repeat(2, 1fr);
    }
}

    /* ===== TABLET ===== */
    @media (max-width: 1024px) {
        .hero {
            padding: 60px 0;
        }

        .hero-inner {
            flex-direction: column;
            gap: 40px;
        }

        .hero-text {
            width: 100%;
        }

            .hero-text h1 {
                font-size: 42px;
            }

            .hero-text p {
                font-size: 20px;
                line-height: 1.4;
            }

        .integration-inner {
            flex-direction: column;
            gap: 40px;
        }

        .integration-text {
            max-width: 100%;
            align-items: center;
        }

            .integration-text h3,
            .integration-text p {
                text-align: center;
            }

        .cards {
            grid-template-columns: repeat(2, 1fr);
        }
    }

    /* ===== MOBILE ===== */
    @media (max-width: 768px) {
        .hero {
            padding: 40px 0 80px 0;
        }

        .hero-inner {
            padding: 0 15px;
        }

        .hero-text h1 {
            font-size: 38px;
            line-height: 36px;
            text-align: right;
        }

        .hero-text p {
            font-size: 20px;
            line-height: 29px;
            text-align: right;
            margin-top: 16px;
        }

        .hero-image-box {
            width: 354px;
            height: 338px;
            aspect-ratio: auto;
        }

            .hero-image-box img {
                width: 90%;
            }

        .features {
            padding: 40px 0;
        }

        .features-head {
            flex-direction: column;
            gap: 20px;
            margin-bottom: 30px;
        }

        .features-title-right,
        .features-title-left {
            max-width: 100%;
            text-align: right;
        }

        .features-title-right {
            font-size: 25px;
            line-height: 29px;
        }

        .features-title-left {
            font-size: 16px;
            line-height: 23px;
        }

        .cards {
            grid-template-columns: 1fr;
            gap: 16px;
        }

        .card {
            border-radius: 30px;
            padding: 20px 37px;
            text-align: center;
        }

            .card h3 {
                font-size: 25px;
                line-height: 30px;
                margin-bottom: 12px;
                text-align: right;
            }

            .card p {
                font-size: 18px;
                line-height: 26px;
                text-align: right;
            }

        .integration {
            padding: 40px 0;
        }

        .integration-image {
            width: 323px;
            height: 275px;
            margin: 0 auto;
        }

        .integration-bg {
            width: 323px;
            height: 236px;
            top: 37px;
            left: 4px;
        }

        .integration-card {
            width: 293px;
            height: 242px;
            top: 0;
            left: 0
        }

        .integration-card__img {
            width: 232px;
            height: 232px;
        }

        .integration-cloud {
            width: 134px;
            height: 91px;
            top: 75px;
            left: 200px;
        }

        .integration-text h3 {
            font-size: 25px;
            line-height: 29px;
            text-align: right;
            padding: 0;
        }

        .integration-text p {
            font-family: 'PloniMLv2AAA-Regular', sans-serif;
            font-weight: 400;
            font-size: 18px;
            line-height: 26px;
            text-align: right;
            padding: 0;
            margin-top: 12px;
        }

        .cta {
            padding: 82px 23px;
        }

        .cta-inner > img {
            width: 305px;
            height: 237px;
        }

        .cta h3 {
            font-size: 25px;
            line-height: 29px;
            margin: 24px auto;
            max-width: 90%;
        }

        .cta-button {
            min-width: 240px;
            height: 50px;
            padding: 0 20px 0 55px;
        }

        .cta-button-text {
            font-size: 16px;
        }

        .cta-button-icon {
            width: 28px;
            height: 30px;
        }
    }

    /* ===== SMALL MOBILE ===== */
    @media (max-width: 480px) {
        .hero-text h1 {
            font-size: 30px;
        }

        .hero-text p {
            font-size: 16px;
        }

        .features-title-right {
            font-size: 22px;
            line-height: 28px;
        }

        .features-title-left {
            font-size: 15px;
            line-height: 21px;
        }

        .card {
            padding: 22px 20px;
        }

            .card h3 {
                font-size: 18px;
                line-height: 24px;
            }

            .card p {
                font-size: 15px;
                line-height: 21px;
            }

        .integration-text h3 {
            font-size: 21px;
        }

        .integration-text p {
            font-size: 15px;
        }

        .cta h3 {
            font-size: 22px;
            line-height: 28px;
        }

        .hero-image-box {
            width: 290px;
            height: 277px;
        }

        .integration-image {
            width: 265px;
            height: 226px;
        }

        .integration-bg {
            width: 265px;
            height: 194px;
            top: 30px;
            left: 4px;
        }

        .integration-card {
            width: 240px;
            height: 198px;
            top: 0;
            left: 0;
        }

        .integration-card__img {
            width: 190px;
            height: 190px;
        }

        .integration-cloud {
            width: 110px;
            height: 75px;
            top: 61px;
            left: 164px;
        }

        .cta-inner > img {
            width: 250px;
            height: 194px;
        }

        .cta {
            padding: 60px 20px;
        }
    }